Bug 472136 - RFE: handle compressed kernel object files for systemtap-style offline searches
RFE: handle compressed kernel object files for systemtap-style offline searches
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 17:18 EST by Frank Ch. Eigler
Modified: 2009-07-23 15:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2008-11-18 17:18:30 EST
module-init-tools is compiled with --enable-zlib, even on fedora, so it's
possible for a sysadmin to compress all the /lib/modules/..../FOO.ko files
and still have modprobe etc. work.  But elfutils won't find .ko.gz files
during its search of offline modules, so systemtap wouldn't be able to probe
them.

Please consider extending libdwfl/linux-kernel-modules.c to look for .ko.gz
files too.
Comment 1 Roland McGrath 2008-12-06 22:09:31 EST
This would entail too pieces of work.  The easy one is making the .ko search look for .ko.gz too.  The more complex one is teaching libdwfl to use libz to decompress into memory when using elf_begin.  That is doable, and easier with consolidation of file-opening that the .sharing branch has.  Seems like we could have it, but not a top priority real soon.
Comment 2 Roland McGrath 2009-01-06 04:48:56 EST
Implemented upstream, should be in 0.139
Comment 3 Fedora Update System 2009-01-26 20:52:07 EST
elfutils-0.139-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1005
Comment 4 Roland McGrath 2009-07-23 15:38:56 EDT
These bugs are fixed in current Fedora 10/11 updates of elfutils.

Note You need to log in before you can comment on or make changes to this bug.